## python-qt3 3.18.1

=== debian/changelog ===
python-qt3 (3.18.1-5) unstable; urgency=low

  * Team Upload
  * Drop python-qtext binary since it has no rdepends and is the only package
    keeping qscintilla from being removed
    - Remove build-depends on libqscintilla-dev
    - Remove python-qtext and python-qtext-dbg from debian/control
    - Remove debian/python-qtext.install
    - Remove qtext and qscintilla from debian/rules
  * Specify that python-qt-dev and python-qt-doc are for Qt3 in package short
    descriptions

 -- Scott Kitterman <scott@kitterman.com>  Thu, 17 Nov 2011 08:02:01 -0500

python-qt3 (3.18.1-4.1) unstable; urgency=low

  * Non-maintainer upload (just a rebuild to add Python 2.7 and
    dropPython 2.5 support)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:23 +0200

python-qt3 (3.18.1-4) unstable; urgency=low

  * Upload to unstable (Closes: #567222)
  * debian/python-qt-dev.preinst
    - Apply patch if pycentral cannot be found, thanks YOSHINO Yoshihito
      (Closes: #562948)
  * debian/README.source
    - Removed, not needed for source format "3.0 (quilt)"
  * debian/control:
    - Bumped standards version to 3.8.4
    - Adapted dependencies for new sip package names

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 21:34:28 +0100

python-qt3 (3.18.1-3) experimental; urgency=low

  * Converted to source format "3.0 (quilt)"
  * debian/rules
    - removed dpatch handling
    - added call to dh_sip
  * debian/control
    - Removed build dependency on dpatch
    - Updated build dependencies for new sip 4.10
    - Added ${sip:Depends} to python-qt3
    - Added ${misc:Depends} to all packages
  * debian/patches/debian_configure_changes.diff
    - Adapted to new sip out-of-tree build support

 -- Torsten Marek <shlomme@debian.org>  Wed, 27 Jan 2010 22:19:23 +0100

python-qt3 (3.18.1-2) unstable; urgency=low

  * Update maintainer to Debian Python Packaging Team (Closes: #540945)
  * debian/control:
    - Updated dependencies for sip4 4.9
    - Bumped standards version to 3.8.3
  * Added README.source for dpatch patch system
  * Added lintian overrides for extra-license-file in python-qt-dev due to
    false-positive

 -- Michael Casadevall <mcasadevall@debian.org>  Wed, 04 Nov 2009 03:01:20 -0500

python-qt3 (3.18.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/02_pyobject_typecheck_cast.dpatch,
    debian/patches/03_qdomdocument_setcontent.dpatch
    - Removed, applied upstream
  * debian/patches/04_qpixmap_loadfromdata.dpatch
    - Removed, fixed in sip 4.8.1
  * debian/pycompat
    - Removed, not needed anymore.
  * debian/control
    - Bumped build-dependencies on sip to 4.8.1

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:50:37 +0200

python-qt3 (3.18-2) unstable; urgency=low

  * debian/patches/03_qdomdocument_setcontent.dpatch
    - Picked from PyQt3 snapshots, fixes false assertion
      when using QDomDocument.setContent
  * debian/patches/04_qpixmap_loadfromdata.dpatch
    - use Q_ULONG instead of uint as type for array size. On amd64,
      sizeof(Q_ULONG) != sizeof(uint), which lead to a crash when a
      uint* was handed in as a Q_ULONG*. (Closes: #529414)

 -- Torsten Marek <shlomme@debian.org>  Thu, 11 Jun 2009 09:46:47 +0200

python-qt3 (3.18-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bump all dependencies on sip4 to 4.8

  * debian/patches/02_pyobject_typecheck_cast.dpatch
    - Add patch to build PyQt3 for Python 2.5

 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 00:14:55 +0200

python-qt3 (3.17.6-2) unstable; urgency=low

  * Uploading to unstable.
  * Merging changes from Ubuntu to build with python2.6.
  * Migrate from python-central to python-support. This also makes sure
    that we get rid of DH_PYCENTRAL=nomove.
    - Adding debian/python-qt-dev.preinst to tell python-central to
      remove its cruft. The preinst script should be removed after
      the release of Squeeze.
  * Bump dependency on sip4 to 4.7.9.
  * Adding myself to Uplaoders.
  * Bumping Standards-Version, no changes needed.
  * Move -dbg packages into section debug.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 05 May 2009 23:51:09 +0200

python-qt3 (3.17.6-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/watch
    - fixed for new upstream website organization
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Torsten Marek ]
  * New upstream release
  * debian/control
    - bumped standards version to 3.7.3, no changes necessary
    - drop -1 Debian revision off build dependency on libqscintilla
    - clean up dependencies on debug packages

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 19:47:15 +0100

python-qt3 (3.17.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.7.3, no changes necessary.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields in debian/control.
  * Changed priority of python-qt3-dbg to extra.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Dec 2007 16:21:21 +0100

python-qt3 (3.17.3-3) unstable; urgency=low

  * Handle DEB_BUILD_OPTIONS correctly.
  * Merge Ubuntu changes:
  * Added debug packages.
  * Better debian/rules file.

 -- Torsten Marek <shlomme@debian.org>  Sat, 15 Sep 2007 23:59:23 +0200

python-qt3 (3.17.3-2) unstable; urgency=low

  * Actually remove pyqtconfig.py from python-qt3 (Closes: #435855)

 -- Torsten Marek <shlomme@debian.org>  Tue, 07 Aug 2007 21:23:10 +0200

python-qt3 (3.17.3-1) unstable; urgency=low

  * New upstream release
  * pyqtconfig.py is now in python-qt-dev

 -- Torsten Marek <shlomme@debian.org>  Tue, 31 Jul 2007 21:45:27 +0200

python-qt3 (3.17.2-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Mon, 07 May 2007 23:57:48 +0200

python-qt3 (3.17-1) experimental; urgency=low

  * New upstream release
  * Removed outdated conflicts and replaces from control file

