=== debian/control ===
Source: python-qt3
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
Build-Depends: debhelper (>= 6.0.7~), python-all-dev (>= 2.3.5-10), libqt3-mt-dev (>= 3:3.3.4-4), qt3-dev-tools (>= 3:3.3.4-4), qt3-apps-dev (>= 3:3.3.4-4), python-sip-dev (>= 4.10), python-support (>= 0.7.1), python-sip-dbg, python-all-dbg
Standards-Version: 3.8.4
Homepage: http://www.riverbankcomputing.co.uk/pyqt/index.php
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt3/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt3/trunk/

Package: python-qt3
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${sip:Depends}, ${misc:Depends}
Suggests: python-qt3-gl, python-qt3-doc, libqt3-mt-mysql|libqt3-mt-odbc|libqt3-mt-psql
Provides: ${python:Provides}
Description: Qt3 bindings for Python
 Python binding module that allows use of Qt X Window toolkit v3.
 You can use it to create portable graphics-capable scripts (there
 are PyQt versions for Linux, Windows and MacOS X).
 .
 At this moment PyQt offers a vast subset of Qt API. There are
 some minor issues related to the differences between C++ and Python
 (types, etc), but usually you'll be able to write code pretty the
 same way in both languages (with syntax differences, of course)

Package: python-qt3-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, python-dbg, python-qt3 (= ${binary:Version}), python-sip-dbg, ${misc:Depends}
Description: Qt3 bindings for Python (debug extension)
 Python binding module that allows use of Qt X Window toolkit v3.
 You can use it to create portable graphics-capable scripts (there
 are PyQt versions for Linux, Windows and MacOS X).
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-qt3-gl
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-qt3 (= ${binary:Version}), python-opengl (>= 2.0.1.09-2.2), ${misc:Depends}
Suggests: python-qt3-doc
Provides: ${python:Provides}
Description: Qt3 OpenGL bindings for Python
 Python binding module that allows use of the OpenGL facilities
 offered by the Qt X Window toolkit v3. You can use it to create
 portable graphics-capable scripts (there are PyQt versions for
 Linux, Windows and MacOS X).

Package: python-qt3-gl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-qt3-gl (= ${binary:Version}), python-qt3-dbg (= ${binary:Version}), ${misc:Depends}
Description: Qt3 OpenGL bindings for Python (debug extension)
 Python binding module that allows use of the OpenGL facilities
 offered by the Qt X Window toolkit v3. You can use it to create
 portable graphics-capable scripts (there are PyQt versions for
 Linux, Windows and MacOS X).
 .
 This package contains the extension built for the Python debug interpreter.

Package: pyqt-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pyuic and pylupdate for Qt3
 pyuic is the PyQt counterpart for Qt's uic. It takes an XML
 user interface file and generates Python code.
 .
 pylupdate is the counterpart for Qt's lupdate. It updates Qt
 Linguist translation files from Python code.

Package: python-qt-dev
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-sip-dev
Replaces: python-qt3 (<< 3.17.3-2)
Architecture: all
Description: Qt3 bindings for Python - Development files
 Development .sip files with definitions of PyQt classes. They
 are needed to build PyQt, but also as building blocks of other
 packages based on them, like PyKDE.

Package: python-qt3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-qt3
Description: Qt3 bindings for Python - Documentation and examples
 Documentation and examples for the PyQt (bindings that allow
 the use of Qt library from within a Python script).
